Bug 481611 - ovirt-node-image: NOP edit-livecd increases ISO image size
ovirt-node-image: NOP edit-livecd increases ISO image size
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Joey Boggs
: Reopened
Depends On:
Blocks: 508043
  Show dependency treegraph
 
Reported: 2009-01-26 13:09 EST by Alan Pevec
Modified: 2016-04-26 10:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.3.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 508043 (view as bug list)
Environment:
Last Closed: 2012-01-25 16:27:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Pevec 2009-01-26 13:09:38 EST
Description of problem:
running edit-livecd from ovirt-node-image RPM produces repackaged ISO which is ~7MB bigger
original node image ISO:
-rw-r--r-- 2 apevec root 66940928 2009-01-26 14:21 ovirt-node-image.iso

output of edit-livecd w/o -p (see log below):
-rw-r--r-- 1 root   root 74412032 2009-01-26 16:53 test-nop.iso


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. see below
2.
3.
  
Actual results:
+7MB

Expected results:
ISO size should stay the same

Additional info:
# edit-livecd -i ovirt-node-image.iso -o test-nop.iso
mkisofs is /usr/bin/mkisofs
mksquashfs is /sbin/mksquashfs
sed is /bin/sed
mkdir: created directory `/tmp/livecd.KmMSAHKIZl/cd'
mount: going to use the loop device /dev/loop0
mount: you didn't specify a filesystem type for /dev/loop0
       I will try type iso9660
/dev/loop0 on /tmp/livecd.KmMSAHKIZl/cd type iso9660 (ro)
mkdir: created directory `/tmp/livecd.KmMSAHKIZl/sq'
mount: going to use the loop device /dev/loop1
/dev/loop1 on /tmp/livecd.KmMSAHKIZl/sq type squashfs (ro)
mkdir: created directory `/tmp/livecd.KmMSAHKIZl/ex'
mount: going to use the loop device /dev/loop2
mount: you didn't specify a filesystem type for /dev/loop2
       I will try type ext2
/dev/loop2 on /tmp/livecd.KmMSAHKIZl/ex type ext2 (rw)
>>> Updating CD content
***
*** Pausing to allow manual changes.  Press any key to continue.
***

>>> Unmounting ext3fs
>>> Compressing filesystem
Parallel mksquashfs: Using 2 processors
Creating little endian 3.1 filesystem on /tmp/livecd.KmMSAHKIZl/cd-w/LiveOS/squashfs.img, block size 131072.
[=============================================================\] 4400/4400 100%
Exportable Little endian filesystem, data block size 131072, compressed data, compressed metadata, compressed fragments, duplicates are removed
Filesystem size 57421.05 Kbytes (56.08 Mbytes)
	10.20% of uncompressed filesystem size (563217.44 Kbytes)
Inode table size 4170 bytes (4.07 Kbytes)
	23.57% of uncompressed inode table size (17694 bytes)
Directory table size 46 bytes (0.04 Kbytes)
	100.00% of uncompressed directory table size (46 bytes)
Number of duplicate files found 0
Number of inodes 3
Number of files 1
Number of fragments 0
Number of symbolic links  0
Number of device nodes 0
Number of fifo nodes 0
Number of socket nodes 0
Number of directories 2
Number of uids 1
	root (0)
Number of gids 0
>>> Recomputing MD5 sums
>>> Creating ISO image 
I: -input-charset not specified, using utf-8 (detected in locale settings)
Size of boot image is 4 sectors -> No emulation
 13.79% done, estimate finish Mon Jan 26 16:53:07 2009
 27.53% done, estimate finish Mon Jan 26 16:53:07 2009
 41.31% done, estimate finish Mon Jan 26 16:53:09 2009
 55.05% done, estimate finish Mon Jan 26 16:53:08 2009
 68.83% done, estimate finish Mon Jan 26 16:53:08 2009
 82.59% done, estimate finish Mon Jan 26 16:53:08 2009
 96.35% done, estimate finish Mon Jan 26 16:53:08 2009
Total translation table size: 2048
Total rockridge attributes bytes: 2587
Total directory bytes: 8910
Path table size(bytes): 64
Max brk space used 0
36334 extents written (70 MB)
/dev/loop1 umounted
/dev/loop0 umounted
Comment 1 Mike Burns 2011-11-18 09:39:16 EST
Should be tested with upstream edit-livecd.  We don't ship ovirt-node-image.rpm anymore (and thus no edit-livecd script either)
Comment 2 Joey Boggs 2012-01-25 16:27:33 EST
this as already been fixed in edit-livecd

Note You need to log in before you can comment on or make changes to this bug.